##########################
The :mod:`gui` Module
##########################

.. automodule:: gui

*****************************
About Dialog
*****************************
.. automodule:: gui.aboutdialog
.. autoclass:: AuthorParser
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: GrampsAboutDialog
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Base Sidebar
*****************************
.. automodule:: gui.basesidebar
.. autoclass::  BaseSidebar
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Column Order
*****************************
.. automodule:: gui.columnorder
.. autoclass::  ColumnOrder
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Configuration
*****************************
.. automodule:: gui.configure
.. autoclass::  ConfigureDialog
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  DisplayNameEditor
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  GrampsPreferences
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
GUI Element (DB)
*****************************
.. automodule:: gui.dbguielement
.. autoclass::  DbGUIElement
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DB Loader
*****************************
.. automodule:: gui.dbloader
.. autoclass::  DbLoader
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  GrampsFormatWidget
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DB Manager
*****************************
.. automodule:: gui.dbman
.. autoclass::  DbManager
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Filter Editor
*****************************
.. automodule:: gui.filtereditor
.. autoclass:: EditFilter
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: EditRule
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: FilterEditor
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyBoolean
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyEntry
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyFilters
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyID
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyInteger
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyLesserEqualGreater
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyList
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyPlaces
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MySelect
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MySource
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: ShowResults
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Todo
*****************************
